<header class="header">
  <div class="header__container container">
    <a routerLink="/" class="header__logo">
      <img src="./assets/note.svg" alt="note">
      Note App
    </a>
    <ul class="header__auth">
      <ng-template *ngIf="isAuthorized; then authedUser else notAuthedUser"></ng-template>
      <ng-template #authedUser>
        <li><a routerLink="/profile" routerLinkActive="btn--primary" class="btn">UserProfile</a></li>
        <li><button (click)="logout()" class="btn" >Log out</button></li>
      </ng-template>
      <ng-template #notAuthedUser>
        <li><a routerLink="/login" routerLinkActive="btn--primary" class="btn">login</a></li>
        <li><a routerLink="/registration" routerLinkActive="btn--primary" class="btn">sing in</a></li>
      </ng-template>
    </ul>
  </div>
</header>
